> For the complete documentation index, see [llms.txt](https://docs.sylvera.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sylvera.com/api/projects.md).

# Projects

Carbon credit projects, assessments, and prices

## Get projects

> Lists projects in CDOP format, including assessment information where available.

```json
{"openapi":"3.1.1","info":{"title":"Sylvera API","version":"1.0.0"},"tags":[{"name":"Projects","description":"Carbon credit projects, assessments, and prices"}],"servers":[{"url":"https://api.sylvera.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Access token obtained from POST /auth/tokens."}}},"paths":{"/v1/projects":{"get":{"operationId":"getProjects","summary":"Get projects","tags":["Projects"],"description":"Lists projects in CDOP format, including assessment information where available.","parameters":[{"schema":{"maximum":1000,"minimum":1,"default":100,"type":"integer"},"in":"query","name":"limit","required":false,"description":"Number of results per page"},{"schema":{"minimum":1,"default":1,"type":"integer"},"in":"query","name":"page","required":false,"description":"Page number for pagination"},{"schema":{"default":true,"type":"boolean"},"in":"query","name":"onlyIncludeAssessedProjects","required":false,"description":"Only include projects with assessments"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"type":"object","properties":{"total":{"type":"number"},"page":{"type":"number"},"limit":{"type":"number"}},"required":["total","page","limit"]},"data":{"type":"array","items":{"type":"object","properties":{"project":{"type":"object","properties":{"name":{"description":"The name of the project.","type":"string"},"identifiers":{"minItems":1,"description":"Project identifiers of different types (internal_project_id, current_registry_project_id).","type":"array","items":{"type":"object","properties":{"identifier_type":{"anyOf":[{"type":"string","enum":["internal_project_id"]},{"type":"string","enum":["current_registry_project_id"]}]},"value":{"type":"string"}},"required":["identifier_type","value"]}},"project_description":{"description":"Description of the mitigation activities undertaken by the project, preferably the registry's public description.","type":"string"},"registry_link":{"format":"uri","description":"The link to the project on its current registry.","type":"string"}},"required":["name","identifiers","project_description"]},"registry":{"type":"object","properties":{"current_registry":{"description":"The project's current registry.","type":"object","properties":{"name":{"type":"string"}},"required":["name"]}},"required":["current_registry"]},"project_type":{"type":"object","properties":{"level_1":{"description":"Top-level project type classification. Null if not classified.","anyOf":[{"type":"object","properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"short_name":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["name","short_name"]},{"type":"null"}]},"level_2":{"description":"Second-level project type classification. Null if not classified.","anyOf":[{"type":"object","properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"short_name":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["name","short_name"]},{"type":"null"}]},"level_3":{"description":"Third-level project type classification. Null if not classified.","anyOf":[{"type":"object","properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["name"]},{"type":"null"}]},"credit_type":{"anyOf":[{"type":"string","enum":["avoidance"]},{"type":"string","enum":["mixed"]},{"type":"string","enum":["removals"]},{"type":"null"}]}},"required":["level_1","level_2","level_3","credit_type"]},"tags":{"type":"array","items":{"type":"string"}},"x_sylvera_assessment":{"description":"Sylvera assessment data. Null if no assessment is available or your API credentials lack permission to access assessment data.","anyOf":[{"minItems":1,"type":"array","items":{"type":"object","properties":{"body":{"type":"string","enum":["Sylvera"]},"assessment_type":{"anyOf":[{"type":"string","enum":["full"]},{"type":"string","enum":["provisional"]},{"type":"string","enum":["estimated"]},{"type":"string","enum":["other"]}]},"on_watch":{"description":"Indicates whether the project is on Sylvera's watch list.","type":"boolean"},"on_watch_commentary":{"description":"Commentary explaining why the project is on the watch list, if applicable.","type":"string"},"issued_at":{"format":"date","description":"Date when the assessment was issued.","type":"string"},"rating":{"anyOf":[{"type":"string"},{"type":"null"}]},"links":{"description":"Relevant links, including the Sylvera assessment and registry URLs.","type":"array","items":{"format":"uri","type":"string"}},"dimensions":{"description":"Assessment dimensions (additionality, carbon_accounting, permanence, safeguarding_cobenefits) with scores and ranges.","type":"array","items":{"type":"object","properties":{"key":{"type":"string"},"score":{"type":"string"},"range":{"type":"object","properties":{"min":{"type":"string"},"max":{"type":"string"}},"required":["min","max"]}},"required":["key","score","range"]}}},"required":["assessment_type","on_watch","issued_at","rating"]}},{"type":"null"}]}},"required":["project","registry","project_type","tags","x_sylvera_assessment"]}}},"required":["meta","data"]}}}},"401":{"description":"Missing or invalid access token","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}},"required":["error"]}}}}}}}}}
```

## Get project

> Gets a project in CDOP format, including assessment information where available.

```json
{"openapi":"3.1.1","info":{"title":"Sylvera API","version":"1.0.0"},"tags":[{"name":"Projects","description":"Carbon credit projects, assessments, and prices"}],"servers":[{"url":"https://api.sylvera.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Access token obtained from POST /auth/tokens."}}},"paths":{"/v1/projects/{id}":{"get":{"operationId":"getProjectById","summary":"Get project","tags":["Projects"],"description":"Gets a project in CDOP format, including assessment information where available.","parameters":[{"schema":{"format":"uuid","type":"string"},"in":"path","name":"id","required":true,"description":"The internal project ID"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"project":{"type":"object","properties":{"name":{"description":"The name of the project.","type":"string"},"identifiers":{"minItems":1,"description":"Project identifiers of different types (internal_project_id, current_registry_project_id).","type":"array","items":{"type":"object","properties":{"identifier_type":{"anyOf":[{"type":"string","enum":["internal_project_id"]},{"type":"string","enum":["current_registry_project_id"]}]},"value":{"type":"string"}},"required":["identifier_type","value"]}},"project_description":{"description":"Description of the mitigation activities undertaken by the project, preferably the registry's public description.","type":"string"},"registry_link":{"format":"uri","description":"The link to the project on its current registry.","type":"string"}},"required":["name","identifiers","project_description"]},"registry":{"type":"object","properties":{"current_registry":{"description":"The project's current registry.","type":"object","properties":{"name":{"type":"string"}},"required":["name"]}},"required":["current_registry"]},"project_type":{"type":"object","properties":{"level_1":{"description":"Top-level project type classification. Null if not classified.","anyOf":[{"type":"object","properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"short_name":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["name","short_name"]},{"type":"null"}]},"level_2":{"description":"Second-level project type classification. Null if not classified.","anyOf":[{"type":"object","properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"short_name":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["name","short_name"]},{"type":"null"}]},"level_3":{"description":"Third-level project type classification. Null if not classified.","anyOf":[{"type":"object","properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["name"]},{"type":"null"}]},"credit_type":{"anyOf":[{"type":"string","enum":["avoidance"]},{"type":"string","enum":["mixed"]},{"type":"string","enum":["removals"]},{"type":"null"}]}},"required":["level_1","level_2","level_3","credit_type"]},"tags":{"type":"array","items":{"type":"string"}},"x_sylvera_assessment":{"description":"Sylvera assessment data. Null if no assessment is available or your API credentials lack permission to access assessment data.","anyOf":[{"minItems":1,"type":"array","items":{"type":"object","properties":{"body":{"type":"string","enum":["Sylvera"]},"assessment_type":{"anyOf":[{"type":"string","enum":["full"]},{"type":"string","enum":["provisional"]},{"type":"string","enum":["estimated"]},{"type":"string","enum":["other"]}]},"on_watch":{"description":"Indicates whether the project is on Sylvera's watch list.","type":"boolean"},"on_watch_commentary":{"description":"Commentary explaining why the project is on the watch list, if applicable.","type":"string"},"issued_at":{"format":"date","description":"Date when the assessment was issued.","type":"string"},"rating":{"anyOf":[{"type":"string"},{"type":"null"}]},"links":{"description":"Relevant links, including the Sylvera assessment and registry URLs.","type":"array","items":{"format":"uri","type":"string"}},"dimensions":{"description":"Assessment dimensions (additionality, carbon_accounting, permanence, safeguarding_cobenefits) with scores and ranges.","type":"array","items":{"type":"object","properties":{"key":{"type":"string"},"score":{"type":"string"},"range":{"type":"object","properties":{"min":{"type":"string"},"max":{"type":"string"}},"required":["min","max"]}},"required":["key","score","range"]}}},"required":["assessment_type","on_watch","issued_at","rating"]}},{"type":"null"}]}},"required":["project","registry","project_type","tags","x_sylvera_assessment"]}},"required":["data"]}}}},"401":{"description":"Missing or invalid access token","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}},"required":["error"]}}}},"404":{"description":"Project not found","content":{"application/json":{"schema":{"description":"Project not found","type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}},"required":["error"]}}}}}}}}}
```

## Get historical prices for a project

> Lists price estimates for a project in CDOP format, where available, including vintage, credit volume and price confidence from Sylvera's market intelligence. Requires price data access permissions.

```json
{"openapi":"3.1.1","info":{"title":"Sylvera API","version":"1.0.0"},"tags":[{"name":"Projects","description":"Carbon credit projects, assessments, and prices"},{"name":"Prices","description":"Historical price estimates"}],"servers":[{"url":"https://api.sylvera.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Access token obtained from POST /auth/tokens."}}},"paths":{"/v1/projects/{id}/prices":{"get":{"operationId":"getProjectPrices","summary":"Get historical prices for a project","tags":["Projects","Prices"],"description":"Lists price estimates for a project in CDOP format, where available, including vintage, credit volume and price confidence from Sylvera's market intelligence. Requires price data access permissions.","parameters":[{"schema":{"maximum":1000,"minimum":1,"default":100,"type":"integer"},"in":"query","name":"limit","required":false,"description":"Number of results per page"},{"schema":{"minimum":1,"default":1,"type":"integer"},"in":"query","name":"page","required":false,"description":"Page number for pagination"},{"schema":{"default":[],"type":"array","items":{"minimum":0,"type":"number"}},"in":"query","name":"vintage_start_years","required":false,"description":"Filter by vintage start years, e.g. ?vintage_start_years=2021&vintage_start_years=2022"},{"schema":{"format":"date","type":"string"},"in":"query","name":"start_estimated_date","required":false,"description":"Pricing start date in YYYY-MM-DD format, defaults to 6 months ago"},{"schema":{"format":"date","type":"string"},"in":"query","name":"end_estimated_date","required":false,"description":"Pricing end date in YYYY-MM-DD format"},{"schema":{"format":"uuid","type":"string"},"in":"path","name":"id","required":true,"description":"The internal project ID"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"type":"object","properties":{"total":{"type":"number"},"page":{"type":"number"},"limit":{"type":"number"}},"required":["total","page","limit"]},"data":{"type":"object","properties":{"project":{"type":"object","properties":{"name":{"type":"string"},"identifiers":{"minItems":1,"maxItems":1,"type":"array","items":{"type":"object","properties":{"identifier_type":{"type":"string","enum":["internal_project_id"]},"value":{"type":"string"}},"required":["identifier_type","value"]}}},"required":["name","identifiers"]},"price_estimates":{"description":"Price estimates. Empty if no estimates match the query parameters.","type":"array","items":{"type":"object","properties":{"vintage":{"type":"object","properties":{"start_year":{"type":"number"}},"required":["start_year"]},"credit_volume":{"description":"Number of credits.","type":"number"},"price_per_credit":{"type":"object","properties":{"amount":{"type":"number"},"confidence":{"anyOf":[{"anyOf":[{"type":"string","enum":["low"]},{"type":"string","enum":["medium"]},{"type":"string","enum":["high"]}]},{"type":"null"}]},"estimated_date":{"type":"string"}},"required":["amount","confidence","estimated_date"]},"issuance_type":{"type":"string","enum":["spot"]},"estimate_source":{"type":"object","properties":{"name":{"type":"string","enum":["Sylvera"]},"url":{"type":"string","enum":["https://www.sylvera.com/"]}},"required":["name","url"]}},"required":["vintage","credit_volume","price_per_credit","issuance_type","estimate_source"]}}},"required":["project","price_estimates"]}},"required":["meta","data"]}}}},"401":{"description":"Missing or invalid access token","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}},"required":["error"]}}}},"403":{"description":"Missing required permissions","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}},"required":["error"]}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sylvera.com/api/projects.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
